#pragma once
#include <vector>
#include "raylib.h"

class Grid{

    public :
        Grid();
        Grid(int rows, int cols);       
        ~Grid();
        void SetGridValue(int row, int col, int value);

        void Print();
        void Draw();

    private :
        // 그리드 클라스의 변수 
        int numRows = 20;  // 행의 갯수 
        int numCols = 10;  // 열의 갯수 
        int cellSize = 30; //  셀의 크기 가로와 세로가 같다. 

        int **arr;   // 그리드 크기를 정하는 배열 
        // 컬러 
        std::vector<Color> colors; // 

        // 초기화 함수 
        void Initialize(int numRows, int numCols);  // 행과 열을 초기화
        std::vector<Color> GetCellColors(); // 컬러를 가져오는 함수 

};